Subject: Re: bug#79164: [PATCH] Fix macOS frame position update after resize/move in nsterm.m

From: Alan Third <[email-masked]>
Date: Mon, 4 Aug 2025 16:45:27 +0100

On Mon, Aug 04, 2025 at 02:58:42PM +0300, Eli Zaretskii wrote:
> > Date: Sun, 3 Aug 2025 15:45:25 +0900
> > From: 川本 琢二
> >  (Dr.Sc.KAWAMOTO, Takuji) <[email-masked]>
> > 
> > This patch addresses a bug in the macOS build of Emacs, where frame
> > position was not correctly updated after resizing from the left edge.
> > 
> > In particular, it fixes the issue reported in bug#74074, where
> > the move-frame-functions hook does not reliably reflect the final
> > frame location after resizing. This patch introduces the
> > updateFramePosition method, which is called from windowDidMove
> > and windowDidEndLiveResize to ensure the frame geometry stays
> > in sync with the actual macOS window position.
> > 
> > Tested on macOS 15.5.
> 
> Thanks, I hope the macOS experts (CC'ed) will be able to review and
> test the patch.

This all looks good to me. The patch looks good and the explanation
and testing too.

Unfortunately I can't apply the patch, I think it's had long-lines
wrapped by the email client. Can you please resend it?

Thanks!
-- 
Alan Third